> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tag Group

> Rename and/or recolor a user-defined tag group. Applies to every tag in the group. System groups (branding/intentType) cannot be modified.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json patch /tag-groups/{group}
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /tag-groups/{group}:
    patch:
      tags:
        - Project
      summary: Update Tag Group
      description: >-
        Rename and/or recolor a user-defined tag group. Applies to every tag in
        the group. System groups (branding/intentType) cannot be modified.
      operationId: patchTag-groupsByGroup
      parameters:
        - name: group
          in: path
          required: true
          schema:
            type: string
            example: persona
            description: The current group name (URL-encoded)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  example: audience
                  description: New group name to rename the group to
                  type: string
                  minLength: 1
                color:
                  example: green
                  description: New color applied to every tag in the group
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  example: audience
                  description: New group name to rename the group to
                  type: string
                  minLength: 1
                color:
                  example: green
                  description: New color applied to every tag in the group
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  example: audience
                  description: New group name to rename the group to
                  type: string
                  minLength: 1
                color:
                  example: green
                  description: New color applied to every tag in the group
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
      responses:
        '200':
          description: Group updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  tag_count:
                    type: number
                required:
                  - tag_count
                description: Group updated successfully
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````